DualDesk Change Log
-------------------

v19.0.7.7
 - 19.0.7.7 can be installed and used at the
   same time as DualDesk version 20 to allow
   supporting Windows 95/98/ME customers.

 - Updated for Windows 7

 - Removed Check for updates.  Use DualDesk 20
   for future updates.  Version 19 will have no
   new updates.

v19.0.7.6
 - You can now use your own custom icon in the
   customer module.  If the icon file named
   "Custom.ico" exists in the DualDesk program
   folder it will be used in the customer module
   exe file instead of the default DualDesk icon.
   WARNING: If you do not use a valid Windows
   icon file your customer module may not work
   properly. A valid custom example icon is
   included in the DualDesk folder.

v19.0.7.5
 - Fixed a bug that sometimes did not set the
   port number if the Default port button was
   used to create the technician webviewer.

 - Fixed a bug that did not allow the custom
   text in the Feedback.txt file to be used.

 - The customer can no longer skip entering an
   ID code if Repeater Mode is enabled.

v19.0.7.4
 - Fixed relay mode in Lite and Expert editions.

v19.0.7.3
 - Changed initial install folder attempt to
   Program Files\DD19073.

 - Checks to see if uninst.exe file was written
   and re-attempts writing it several times if
   file write was blocked.  Gives error and
   exits if unable to write the uninstaller.

 - Added additional checks to ensure program
   will not run if uninstall failed.

v19.0.7.2
 - Improved Vista screen updates.
 - Improved wallpaper restore.

v19.0.7.1
 - Fixed displaying a ghost done.txt
   message.

 - added check for <port>.log file
   in the <Temp>\<webconfig filename> folder to
   allow dynamically configuring connection
   information locally without downloading the
   config file from a website.  If the <port>.log
   file doesn't exist it will look for the
   hard-coded web config file name that was
   specified in the customer module creator.

   For added security the <port>.log file
   name is the port number you specified in the
   creator and the sub-folder in the %TEMP% folder
   is the name entered in the webconfig filename
   box in the creator. If you entered 443 for the
   port and "Ken911" for the config file name in
   the creator the name of the config file will be
   "443.log" and be located in the %TEMP%\Ken911"
   sub folder or if you entered 830 for the port
   number and "Phil336" as the config file the
   name of the config file will be "830.log"
   located in the %TEMP%\Phil336" folder etc...
   the full path would look like
   "%TEMP%\Ken911\443.log"

   This function is only activated if the web
   config option is enabled with a static file
   name (do not enable "Ask").


v19.0.7.0
 - Updated the file compressor for Vista
   and to help penetrate hardware firewalls.

 - Updated proxy software to reject
   additional connections using the same ID code
   and increased total connections from 100 to 200
   (100 customer plus 100 technician connections).

 - Updated program manifest for Vista SP1.

 - Improved UAC test.

 - Added check for UAC turned off.

 - Changed UAC warning message to be
   friendlier and give more information to the user.

 - Improved Vista AERO Support.

 - Added UAC was not disabled warning.

 - Optimized customer modules for smaller size and
   faster loading.

v19.0.6.9
 - Added check for HTTP:// HTTPS:// FTP://
   FTPS:// and / in the tcp address. 

 - Updated viewer.exe and dCreate.exe digital signatures.

 - Updated manifests to eliminate the Vista
   prompt asking if installed properly.

 - Added Clock-Mode to the popup toolbox (timer). It now
   defaults to Clock Mode instead of Timer Mode. If you
   prefer the timer mode to start when the customer runs
   the module, put a check in the "Start in Timer Mode".

 - Changed some wording to clarify some builder items.

v19.0.6.8
 - Corrected a spelling error

 - updated the program manifests

 - updated the digital signatures on all of the exe and
   dll files.

 - Added an option to force (hard-code) the Repeater ID
   code into the technician's webviewer.  If hard-coded,
   the technician will not be able to change the ID code
   to support more than one customer module simultaneously
   or be allowed to change the advanced settings before
   attempting to connect to the proxy software (repeater).
   This makes the technician module behave similar to the
   customer module.

 - Added the repeater ID code (-ID) to the filename of
   the customer module if applicable.

 - Added the address_techport-IDcode to the filename of
   the technician webviewer module.

 - Added Notepad to the pre-defined timer tools.

 - Improved uninstall & continue when ran with an existing
   session currently active.

 - Improved running customer module in a restricted user
   account. 

 - Cleaned up and optimized customer module installer.

 - Fixed missing tools in ddTools folder that happened
   on some systems.

v19.0.6.7
 - Added a customizable feedback prompt at the end of
   the session.  If the feedback URL is blank it will
   not prompt the user for feedback.  The URL can be
   a website or web page (http: or https:) or an email
   url (mailto:).

   If the Feedback.txt in the DualDesk folder is blank
   or missing it will use the default text shown below.
   "Your comments are important and will help us
   improve our service. Would you like to provide
   feedback about your experience today?"

v19.0.6.6
 - Fixed a display resolution change attempt on some
   non-Vista systems when uninstalled.

v19.0.6.5
 - Added more tools to the Timer menu.

v19.0.6.4
 - You can now replace the Advantig DualDesk window titles
   on most of the user prompts with your own name.

 - Added a separate Creater program, Customer modules are
   no longer built from the Viewer.

 - Added an optional on-screen timer / with 10 customizable
   tool commands, a web based tool box and a local ToolBox.

   The toolbox folder option (ToolBox Folder) is between
   the Tools Website selection and the 10 customizable tool
   commands on the "More" menu of the timer.

   The 10 Custom Tool commands can be used to to launch
   tools from a website or they can launch tools directly
   from the ddTools folder if using the timer.

   The 1st custom tool name is used on the Tools (wrench)
   button on the timer.  If it's not defined it will use
   the tools webite URL and label.
   
   Anything in the ..\DualDesk\ddTools folder is embedded
   into your executable when build your customer modules.
   The more there is in the ddTools folder, the larger your
   executable file size will be. This is where you install
   add-ons / plugins such as Voice Chat, Draw on Desktop
   and 3rd party add-ons that are not part of the DualDesk
   package.  The Custom Tool commands can be used to to
   launch tools directly from the ddTools folder.

 - Improved the reconnect routines if the connection is
   lost for extended periods of time.  It will now try for
   36 hours before giving up (for monitoring stations).

 - Decreased the reconnect delay time from 45 seconds to
   15 seconds and made it more persistent.

 - Removed the popup DOS (black) boxes during the install
   and uninstall functions.

 - Optimized the code for more speed under Vista.

v19.0.6.3
 - Added more install folder attempts to Vista.

v19.0.6.2
 - Added delay to forced reboot to give viewer more time to
   disconnect all sessions.

 - Improved encrypted Web Viewer RC4 key locator.

 - Improved uninstall if not able to log into user account.

v19.0.6.1
 - Fixed a bug in the trial that causes it to expire early.

v19.0.6.0
 - Added a "Check for Updates" program to automatically check
   the installed version against the current release version
   and ask if you want to install the update. If you click yes
   it will download the update in the background and notify
   you when it is ready to install.

 - Added a shortcut creator to simplify creating listener
   shortcuts on technician workstations without having to
   create a customer module.

 - Added longer delay to the forced reboot function to allow
   programs more time to exit and now disconnects all viewers
   before initiating shutdown to resolve problems with some
   viewers.

 - Fixed a bug that wouldn't launch the Tools web page without
   the web-config option enabled.

 - Changed the keep-alive feature to help prevent multiple
   live reconnects.

 - Made changes to help avoid connecting to every active
   user session on a terminal server system when only one of
   them launched the session or multiple users on fast user
   switching system.

v19.0.5.9
 - Added logging to the creator (Creator.log) to record the
   options used to create the customer modules.  This will
   make it easier to build new customer modules with the same
   options later. It's also a good reference tool if you need
   tech support since it stores your registered name and key
   as well as the IP/DNS address, port and other options used.

 - Added a more flexible No-Download WebConfig feature.
   If the web config files exist in the ...\DualDesk\Configs
   folder they will be embedded into the customer module and
   will not be downloaded from your website.  If the local file
   does not exist it will download the config file from the
   website as normal. Both methods are active at the same time.
   If you only have 1.txt, 2.txt, 3.txt in the local folder and the
   customer enters "4" it will not find the local file forcing it
   to download it from your website instead.

 - Removed the hard-coded session ended prompt and moved it to
   the Done.txt file for added flexibility.

 - Fixed a bug in the Done.txt routine that could prevent it
   from displaying properly on some systems.

 - Added extra character space (255 total now) to the Done.txt
   prompt that is displayed when the session ends.

 - Recompiled Server, Viewer and Proxy to optimize speed.

 - Made some minor cosmetic changes.

 - Added an audible alert (beep) to the proxy software if a port
   is already in use (bound) by another program. 

 - Added date/time stamps to the DualDesk Proxy log entries.

 - Added central Proxy log to track ID codes used.  This will be
   expanded to log more events in future releases.

 - Changed Proxy ID log files to <idcode>.log instead of
   <idcode>.txt to make sorting easier.

v19.0.5.8
 - Added an extra line (4 total now) to the YesNo.txt prompt
   and removed the hard-coded carriage returns to improve
   the text formatting.

 - Removed the Repeater port prompt from the creator if the
   ID code field is not checked.

v19.0.5.7
 - Added a user configurable message to the customer when the
   session is done.  One line of up to 200 characters can be
   written to the Done.txt file in the DualDesk folder.
   (default is C:\Program Files\Advantig\DualDesk\Done.txt).
   If the file is missing or blank it will be skipped.

 - Improved / Simplified the technician WebViewer.  It now
   uses the address used in the customer module and the port
   you enter during the creation process. The address:port
   and ID code can also be passed on the command line.

   WebViewer.exe -IDcode Address:Port
   Example: WebViewer.exe -ID123 MyRepeater.com:80

v19.0.5.6
 - Added a user configurable YES / NO message to the customer
   modules. Up to 3 lines of 200 characters each can be
   written to the YesNo.txt file in the DualDesk folder.
   (default is C:\Program Files\Advantig\DualDesk\YesNo.txt).
   If the file is missing or blank it will be skipped.  It's main
   purpose is for a disclaimer prompt but can be used for any
   Yes/No question.  An example is shown below:

   ADVANTIG CORPORATION MAINTAINS ABSOLUTE CONFIDENTIALITY REGARDING ANY AND ALL FILES OR DATA ON YOUR MACHINE OR NETWORK. IF YOU HAVE ANY CONCERNS OR QUESTIONS CALL +1 (336) 767-4029
   YOU SELECT WHEN AND HOW REMOTE SESSIONS ARE TO BE INITIATED. THERE IS NO WAY AN UNAUTHORIZED PARTY CAN INITIATE AN UNAUTHORIZED REMOTE SUPPORT SESSION TO YOUR COMPUTER USING DUALDESK.
   Do you agree to the Terms and Conditions posted on our website at www.dualdesk.com?

 - Fixed port display showing default port instead of actual
   port when connecting to repeater mode of proxy.

v19.0.5.5
 - Removed the session confirmation re-entry from the
   customer modules using web-config.

 - Automatic Vista Aero theme disabling has been improved.

 - Improved color rendering on terminal server (RDP)
   connections.

 - Fixed bug with Creator (dCreate.exe) not including
   the encryption plugin in the Technician Web Viewer
   when selecting no folders with encryption.

v19.0.5.4
 - Fixed bug with Creator (dCreate.exe) when selecting
   folders and encryption.

   Recompiled with updated Vista DLL's.

v19.0.5.3
 - Auto-disables UAC in Windows Vista and resets it to the
   pre-connect setting when the session ends.

v19.0.5.2
 - Added additional support for 64 bit Windows.

 - The creator now puts listen icons in the customer module
   folder as well as in the dualdesk folder on the desktop.
   Too many people were not looking for them there even
   though the popup box told them where they were created.

 - Added the ability to create trial customer modules that do
   not expire daily or display the trial use prompt to the
   customer.  To enable the extended trial feature you must
   register the trial and enter a key code.  Registration is
   free. The normal extended trial period is 30 days.  After
   the extended trial expires, the customer modules will expire
   daily as before. Shortcuts are placed in the DualDesk
   folders to register the trial software or go to:
   http://www.dualdesk.com/register

 - Added an Auto-Register feature.  You no longer have to
   enter the registration information manually.  It can pull
   the registration information directly from the web or from
   a registration key on your local system.  You can still
   enter the information manually if you prefer.

 - The creator no longer gives you a warning message if you
   register the software with a blank IP address box.

v19.0.5.1
 - Fixed a password bug in trial modules that caused the trial
   to expire prematurely. This did not affect registered modules.
   
 - Added a trial expiration notice to the module creator.

v19.0.5.0
 - Improved uninstall for Vista and application modes.

v19.0.4.9
 - More Vista optimizations.  Added extra functions/features
   to support planned improvements to next RemoteStart.

v19.0.4.8
 - Improved auto reconnect (call-back) after reboot in Vista.
 - Fixed re-launch if session ended too quickly.

v19.0.4.7
 - Improved TCP socket settings that caused some Vista machines
   to have slow performance.

v19.0.4.6
 - Now has limited Vista support.  Only works as an application
   not as a service so Ctrl-Alt-Del will not work and it doesn't
   support All of Vista's advanced graphics modes or multiple
   monitors.

v19.0.4.5
 - You can now pass the technician's workstation (port) number
   on the command line by prefixing the port number with a "/:"
   The ID and proxy address now requires the leading "/" as well.

   Examples:
   help.exe /:443
   help.exe /ID:123
   Help.exe /192.168.1.100:5555

v19.0.4.4
 - You can now configure the customer module to ask the customer
   for the technician's workstation (port) number.

   You can configure the customer module to ask the customer for
   the repeater ID code from the web-based configuration file
   even if you didn't originally configure it with repeater mode.

   Improved the RemoteStart program to make it easier to test the
   start flag.

v19.0.4.3
 - The customer module will now automatically connect back
   after reboot if it running as an application in a
   restricted user acount (uses startup folder).

   The StopDD.bat (new) will remove the files when the customer
   module exits.

   Added a check for the Licensed.to file.  If it is missing the
   program will exit.

v19.0.4.2
 - Improved keep-alive in viewer and server to help prevent idle
   disconnects if router does not detect activity.

v19.0.4.1
 - Improved data buffer to help avoid flooding slow routers and
   weak wireless connections.

v19.0.4.0
 - You can now pass the ID code or proxy address to the customer
   module on the command line.

V19.0.3.0
 - You can now use the proxy relay addrss in the web configuration
   file but now you must prefix an ID code with ID: or it will be
   treated as an address.

V19.0.2.0
 - You can now use the ? wildcard in the web configuration file
   for the ID code prompt as you do in the creator option.

V19.0.1.0
 - You can now prompt the customer for the proxy relay address
   similar to the ID code prompt.

v19.0.0.0
 - You can now build your own customer modules and change any
   options such as address, port password, repeater/proxy mode,
   DSM encryption, sub-folder transfers and any other options
   supported by your package as well as use a custom splash and
   add a link to a web page with your favorite support tools.

   Version 19 is not compatible with older versions or any other
   software so you must create new customer modules and use the
   new proxy software if using repeater or redirector mode.

v18.9.3
 - Now has limited Vista support.  Only works as an application
   not as a service so Ctrl-Alt-Del will not work and it doesn't
   support All of Vista's advanced graphics modes or multiple
   monitors.

v18.9.2.9
 - You can now toggle the connection request off to allow for
   immediate connections (auto-accept) and toggle off the request
   to reboot the remote machine when closing the viewer window.

v18.9.2.8
 - You can now end the session and reboot the remote computer
   without the customer reconnecting.  This is to allow you
   to leave a machine sitting at the login prompt when done.
   This is not backward compatible with old customer modules.

v18.9.2.7
 - The viewer now lets you force reboot the remote machine.

v18.9.2.6
 - You can now toggle off the protocol error message.

v18.9.2.5
 - Added the system tools to the viewer side menu so you don't have to let
   the remote customer see you access the menu.

v18.9.2.4
 - The viewer now prevents session timeouts due to inactivity.

v18.9.2.3
 - Improved customer module creator routines.

v18.9.2.2
 - Added an option to disable/enable sound from the connect to repeater menu.
 - Removed the Use Repeater check box to streamline the interface
 - Optimized initialization routines

v18.9.2.1
 - Added a command line option to turn off the wave file that is played when an
   incoming connection is detected.  The command line switch is -quiet or use
   the checkbox on the connection options.  The command line switch will override
   the connection options setting.
 - Auto scaling is now remembered when setting it from the connection options.
   The command line switch will override the connection options setting.

v18.9.2.0
 - The viewer and customer modules now accept one : or 2 :: colons
   (for backward compatibility: to separate the address and port.
   Example:  dualdesk.com:443 or dualdesk.com::443
 - Removed backward compatibility for config (*.dvp) file support.
 - Minor speed enhancements.

v18.9.1.9.1
 - Added the ability to set the wave file to be played when you receive an
   incoming call, use the Sounds and Audio Devices from the Windows Control Panel.
   Scroll down to the DualDesk Viewer section and set the Incoming call sound from
   the drop-down list or use the browse button to load a wav file that is not
   listed. You can create your own file or use any Windows compatible .wav file.
   This is also the file that will be played if you receive an incoming Bell
   character from the DualDesk server (customer module).

V18.9.1.9
 -Removed the ability to blank the remote monitor for HIPAA compliance.
 -Updated viewer to connect to the new port test site (advantig.org/test).

v18.9.1.8.1
 -To clarify repeater connections, changed "Negotiating Protocol Version" message
  to "Waiting for customer to connect".

v18.9.1.8
 -Added -toggle switch to automatically toggle Listen mode.  It is now off by
  default. Use before the -listen parameter (viewer.exe -toggle -listen)
 -Name of files and folders that are transferred/created/deleted are now logged.
 -Added Repeater ID code and remote IP address to incoming connection log.

v18.9.1.7
 -Listen mode is now automatically toggled off when accepting a session. It can be
  toggled back on manually if you wish to work with more than one customer session
  at a time.  The tray icon may take a few seconds to reflect the new state.
 -Listen mode is now automatically toggled back on after session disconnects
  even if it was previously toggled off manually.  The tray icon may take a
  few seconds to reflect the new state.
 -Added option to execute a command or program when listen mode is toggled on/off.
 -Improved rejection of connections.  It no longer flashes a window.

v18.9.1.6
 -Added option to execute a command or program on connect and/or disconnect.
 -Made minor speed optimizations.

v18.9.1.5
 -Changed "Connection Failed - Error Reading Protocol"  message
  to "Port Test Passed" when testing the port to help reduce some
  confusion for new users.
 -Changed the log file to make it easier to import the data into accounting
  programs and spreadsheets.  There are 3 fields, tab separated, each line
  is terminated with a carriage return character and a line feed character.
  The first field is the date in MM/DD/YY format.
  The Second field is the time in HH:MM:SS format.
  The third field is the event description.
  When the program exits, it adds 8 dashes (--------) for the date and time
  fields and 50 dashes for the description field.

v18.9.1.4
 -Added code to display remote cursor changes (hour glass, re-size etc)

v18.9.1.3
 -Added Enable/Disable Listen Mode

v18.9.1.2
 -Added customer module compiler (for unlimited license plugins)
 -added Toggle View Only On/Off. This disables local keyboard, mouse
  & clipboard and enable remote cursor (let server update mouse)
  to allow you to disable your local inputs to prevent interrupting
  the remote customer.  This does not prevent you from transferring
  files or chatting.

v18.9.1.1
 -Optimized data throughput to increase performance.
 -smoother mouse scrolling
 -Other speed optimizations

v18.9.1.0
 -Added session logging.
 -Optimized data throughput to increase performance.

v18.9.0.0
 -Added Remote Shutdown ability from viewer.
 -Added Incoming Session Accept/Reject/Cancel (remote shuts down).
 -Increased reliability of restricted user connections.
 -minor speed optimizations

